lwIP 2.1.2 Lightweight IP stack

Data Structures | Macros | Functions
netbiosns.c File Reference
`#include "lwip/apps/netbiosns.h"`
`#include "lwip/def.h"`
`#include "lwip/udp.h"`
`#include "lwip/ip.h"`
`#include "lwip/netif.h"`
`#include "lwip/prot/iana.h"`
`#include <string.h>`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures
struct | netbios_hdr
struct | netbios_question_hdr
struct | netbios_name_hdr
struct | netbios_resp
struct | netbios_answer

## Macros
#define | NETBIOS_NAME_LEN 16
#define | NETBIOS_NAME_TTL 300000u
#define | NETB_HFLAG_RESPONSE 0x8000U
#define | NETB_NFLAG_UNIQUE 0x8000U

## Functions
void | netbiosns_init (void)
void | netbiosns_stop (void)

## Detailed Description

NetBIOS name service responder

## Macro Definition Documentation

## ◆ NETB_HFLAG_RESPONSE

#define NETB_HFLAG_RESPONSE 0x8000U

NetBIOS header flags

## ◆ NETB_NFLAG_UNIQUE

#define NETB_NFLAG_UNIQUE 0x8000U

NetBIOS name flags

## ◆ NETBIOS_NAME_LEN

#define NETBIOS_NAME_LEN 16

size of a NetBIOS name

## ◆ NETBIOS_NAME_TTL

#define NETBIOS_NAME_TTL 300000u

The Time-To-Live for NetBIOS name responds (in seconds) Default is 300000 seconds (3 days, 11 hours, 20 minutes)